<?php
/*
=====================================================
  UserList v1.0
=====================================================
  MSW
  : http://0-web.ru/
=====================================================
     
-----------------------------------------------------
 : userlist.php
=====================================================
*/
define('DATALIFEENGINE', true);
define('ROOT_DIR', '..');
define('ENGINE_DIR', ROOT_DIR.'/engine');
include ENGINE_DIR.'/data/config.php';
require_once ENGINE_DIR.'/classes/mysql.php';
require_once ENGINE_DIR.'/data/dbconfig.php';
require_once ENGINE_DIR.'/modules/functions.php';

$page = $_POST['page'];
$limit = $_POST['rows'];
$sidx = $_POST['sidx'];
$sord = $_POST['sord'];
if(!$sidx) $sidx = 1;

$grp_r = $db->query("SELECT id, group_name FROM ".PREFIX."_usergroups");
while($r = $db->get_row($grp_r)) {
	$group[$r['id']] = $r['group_name'];
	$group_id[$r['group_name']] = $r['id'];
}

$nm_m = $_GET["nm_mask"];
if(isset($nm_m) || $_POST['_search']=="true") {
	if(isset($nm_m)) {
		$nm_mask = iconv("utf-8", "windows-1251", $nm_m);
		$nm_mask = addslashes($nm_m);
		$nm_field = (intval($_GET["nm_field"])) ? intval($_GET["nm_field"]) : "1";
		$field = ($nm_field==1) ? "name" : "icq";
		$nm_op = (intval($_GET["nm_op"])) ? intval($_GET["nm_op"]) : "1";
		if($nm_op=="1") $s[] = "{$field} LIKE '{$nm_mask}%'";
		elseif($nm_op=="2") $s[] = "{$field}='{$nm_mask}'";
		elseif($nm_op=="3") $s[] = "{$field} LIKE '%{$nm_mask}%'";
		elseif($nm_op=="4") $s[] = "{$field} LIKE '%{$nm_mask}'";
	}
	$sex = intval($_POST['sex']);
	if($sex) {
		$s[] = "sex='{$sex}'";
	}
	$user_group = intval($_POST['user_group']);
	if($user_group) {
		$s[] = "user_group='{$user_group}'";
	}
	$searsh = "WHERE ".implode(' AND ',$s);
} else $searsh = "";

$rows = $db->super_query("SELECT COUNT(user_id) AS count FROM ".USERPREFIX."_users {$searsh}");
$count = $rows['count'];
if( $count >0 ) {
	$total_pages = ceil($count/$limit);
} else {
	$total_pages = 0;
}
if ($page > $total_pages) $page=$total_pages;

$start = $limit*$page - $limit;
if($start<0) $start=1;

$res = $db->query("SELECT * FROM ".USERPREFIX."_users {$searsh} ORDER BY {$sidx} {$sord} LIMIT {$start}, {$limit}");

if ( stristr($_SERVER["HTTP_ACCEPT"],"application/xhtml+xml") ) {
	header("Content-type: application/xhtml+xml;charset={$config['charset']}");
} else {
	header("Content-type: text/xml;charset={$config['charset']}");
}
echo "<?xml version='1.0' encoding='{$config['charset']}'?>\n";
echo "<rows>";
echo "<page>".$page."</page>";
echo "<total>".$total_pages."</total>";
echo "<records>".$count."</records>";

$user_group = get_vars("usergroup");

while($row = $db->get_row($res)) {
	echo "<row id='{$row['user_id']}'>";
	echo "<cell>{$row['user_id']}</cell>";

	$name = "<a href=\"/user/".urlencode($row['name'])."/\" onclick=\"ShowProfile('".urlencode($row['name'])."', '/user/".urlencode($row['name'])."/'); return false;\">{$row['name']}</a>";
	echo "<cell><![CDATA[<b>{$name}</b>]]></cell>";

	$mail = "<a href='/?do=feedback&user={$row['user_id']}'><img src='/templates/{$config['skin']}/images/email.gif' border='0' align='absmiddle'></a> <a href='/?do=pm&doaction=newpm&user={$row['user_id']}'><b></b></a>";
	echo "<cell><![CDATA[{$mail}]]></cell>";
	echo "<cell>{$row['icq']}</cell>";

	echo "<cell><![CDATA[".$user_group[$row['user_group']]['group_prefix']."{$group[$row['user_group']]}".$user_group[$row['user_group']]['group_suffix']."]]></cell>";

//******  *** start ******//
	$news_num = ($row['news_num']==0) ? "0" : "<a href=\"/user/".urlencode($row['name'])."/news/\">{$row['news_num']}</a>";
	echo "<cell><![CDATA[<b>{$news_num}</b>]]></cell>";
//******  *** stop ******//

//******  *** start ******//
	$comm_num = ($row['comm_num']==0) ? "0" : "<a href=\"/index.php?do=lastcomments&userid={$row['user_id']}\">{$row['comm_num']}</a>";
	echo "<cell><![CDATA[<b>{$comm_num}</b>]]></cell>";
//******  *** start ******//

	$reg_d = date("d-m-Y H:i", $row['reg_date']);
	echo "<cell>{$reg_d}</cell>";

	echo "</row>";
}
echo "</rows>";
?>